MFLATTENEXEC(1)

NAME
mFlattenExec - Remove the background from an image

SYNOPSIS
mFlattenExec [-p imgdir] [-d] [-n(o-areas)] [-s statusfile] images.tbl flatdir

DESCRIPTION
Runs both mFitPlane and mBackground on a set of images.

OPTIONS

-p imgdir
    Specifies path to directory containing images to be flattened.

-d  Turns on debugging.

-n  No-area-images flag, indicating that mFlattenExec should not require area images for all the input FITS images.

-s statusfile
    Output and errors are sent to statusfile instead of to stdout

ARGUMENTS

images.tbl
    Metadata table (generated by mImgtbl) describing images to be flattened.

flatdir
    Path to directory where output files should be created.

RESULT
Creates "flattened" versions of each input FITS image.

MESSAGES

OK  [struct stat="OK", count=nimages, failed=nfailed, warning=nwarnings]

ERROR
    Cannot open status file: statusfile

ERROR
    Cannot access flatdir

ERROR
    flatdir is not a directory

ERROR
    Invalid image metadata file: filename

ERROR
    Need column 'file' in image metadata file filename

ERROR
    mDiff or mBackground error

EXAMPLES

$ mFlattenExec output/images.tbl output/flattened
    [struct stat="OK", count=5, failed=0, warning=0]

BUGS
The drizzle algorithm has been implemented but has not been tested in this release.

If a header template contains carriage returns (i.e., created/modified on a Windows machine), the cfitsio library will be unable to read it properly, resulting in the error: [struct stat="ERROR", status=207, msg="illegal character in keyword"]

It is best for the background correction algorithms if the area described in the header template completely encloses all of the input images in their entirety. If parts of input images are "chopped off" by the header template, the background correction will be affected. We recommend you use an expanded header for the reprojection and background modeling steps, returning to the originally desired header size for the final coaddition. The default background matching assumes that there are no non-linear background variations in the individual images (and therefore in the overlap differences). If there is any uncertainty in this regard, it is safer to turn on the "level only" background matching (the "-l" flag in mBgModel.

COPYRIGHT
2001-2015 California Institute of Technology, Pasadena, California

If your research uses Montage, please include the following acknowledgement: "This research made use of Montage. It is funded by the National Science Foundation under Grant Number ACI-1440620, and was previously funded by the National Aeronautics and Space Administration's Earth Science Technology Office, Computation Technologies Project, under Cooperative Agreement Number NCC5-626 between NASA and the California Institute of Technology."

The Montage distribution includes an adaptation of the MOPEX algorithm developed at the Spitzer Science Center.